// Generated by CoffeeScript 1.6.2
/*
 jQuery Waypoints - v2.0.3
 Copyright (c) 2011-2013 Caleb Troughton
 Dual licensed under the MIT license and GPL license.
 https://github.com/imakewebthings/jquery-waypoints/blob/master/licenses.txt
 */
(function () {
    var __indexOf = [].indexOf || function (item) {
        for (var i = 0, l = this.length; i < l; i++) {
            if (i in this && this[i] === item)
                return i;
        }
        return -1;
    },
            __slice = [].slice;

    (function (root, factory) {
        if (typeof define === 'function' && define.amd) {
            return define('waypoints', ['jquery'], function ($) {
                return factory($, root);
            });
        } else {
            return factory(root.jQuery, root);
        }
    })(this, function ($, window) {
        var $w, Context, Waypoint, allWaypoints, contextCounter, contextKey, contexts, isTouch, jQMethods, methods, resizeEvent, scrollEvent, waypointCounter, waypointKey, wp, wps;

        $w = $(window);
        isTouch = __indexOf.call(window, 'ontouchstart') >= 0;
        allWaypoints = {
            horizontal: {},
            vertical: {}
        };
        contextCounter = 1;
        contexts = {};
        contextKey = 'waypoints-context-id';
        resizeEvent = 'resize.waypoints';
        scrollEvent = 'scroll.waypoints';
        waypointCounter = 1;
        waypointKey = 'waypoints-waypoint-ids';
        wp = 'waypoint';
        wps = 'waypoints';
        Context = (function () {
            function Context($element) {
                var _this = this;

                this.$element = $element;
                this.element = $element[0];
                this.didResize = false;
                this.didScroll = false;
                this.id = 'context' + contextCounter++;
                this.oldScroll = {
                    x: $element.scrollLeft(),
                    y: $element.scrollTop()
                };
                this.waypoints = {
                    horizontal: {},
                    vertical: {}
                };
                $element.data(contextKey, this.id);
                contexts[this.id] = this;
                $element.bind(scrollEvent, function () {
                    var scrollHandler;

                    if (!(_this.didScroll || isTouch)) {
                        _this.didScroll = true;
                        scrollHandler = function () {
                            _this.doScroll();
                            return _this.didScroll = false;
                        };
                        return window.setTimeout(scrollHandler, $[wps].settings.scrollThrottle);
                    }
                });
                $element.bind(resizeEvent, function () {
                    var resizeHandler;

                    if (!_this.didResize) {
                        _this.didResize = true;
                        resizeHandler = function () {
                            $[wps]('refresh');
                            return _this.didResize = false;
                        };
                        return window.setTimeout(resizeHandler, $[wps].settings.resizeThrottle);
                    }
                });
            }

            Context.prototype.doScroll = function () {
                var axes,
                        _this = this;

                axes = {
                    horizontal: {
                        newScroll: this.$element.scrollLeft(),
                        oldScroll: this.oldScroll.x,
                        forward: 'right',
                        backward: 'left'
                    },
                    vertical: {
                        newScroll: this.$element.scrollTop(),
                        oldScroll: this.oldScroll.y,
                        forward: 'down',
                        backward: 'up'
                    }
                };
                if (isTouch && (!axes.vertical.oldScroll || !axes.vertical.newScroll)) {
                    $[wps]('refresh');
                }
                $.each(axes, function (aKey, axis) {
                    var direction, isForward, triggered;

                    triggered = [];
                    isForward = axis.newScroll > axis.oldScroll;
                    direction = isForward ? axis.forward : axis.backward;
                    $.each(_this.waypoints[aKey], function (wKey, waypoint) {
                        var _ref, _ref1;

                        if ((axis.oldScroll < (_ref = waypoint.offset) && _ref <= axis.newScroll)) {
                            return triggered.push(waypoint);
                        } else if ((axis.newScroll < (_ref1 = waypoint.offset) && _ref1 <= axis.oldScroll)) {
                            return triggered.push(waypoint);
                        }
                    });
                    triggered.sort(function (a, b) {
                        return a.offset - b.offset;
                    });
                    if (!isForward) {
                        triggered.reverse();
                    }
                    return $.each(triggered, function (i, waypoint) {
                        if (waypoint.options.continuous || i === triggered.length - 1) {
                            return waypoint.trigger([direction]);
                        }
                    });
                });
                return this.oldScroll = {
                    x: axes.horizontal.newScroll,
                    y: axes.vertical.newScroll
                };
            };

            Context.prototype.refresh = function () {
                var axes, cOffset, isWin,
                        _this = this;

                isWin = $.isWindow(this.element);
                cOffset = this.$element.offset();
                this.doScroll();
                axes = {
                    horizontal: {
                        contextOffset: isWin ? 0 : cOffset.left,
                        contextScroll: isWin ? 0 : this.oldScroll.x,
                        contextDimension: this.$element.width(),
                        oldScroll: this.oldScroll.x,
                        forward: 'right',
                        backward: 'left',
                        offsetProp: 'left'
                    },
                    vertical: {
                        contextOffset: isWin ? 0 : cOffset.top,
                        contextScroll: isWin ? 0 : this.oldScroll.y,
                        contextDimension: isWin ? $[wps]('viewportHeight') : this.$element.height(),
                        oldScroll: this.oldScroll.y,
                        forward: 'down',
                        backward: 'up',
                        offsetProp: 'top'
                    }
                };
                return $.each(axes, function (aKey, axis) {
                    return $.each(_this.waypoints[aKey], function (i, waypoint) {
                        var adjustment, elementOffset, oldOffset, _ref, _ref1;

                        adjustment = waypoint.options.offset;
                        oldOffset = waypoint.offset;
                        elementOffset = $.isWindow(waypoint.element) ? 0 : waypoint.$element.offset()[axis.offsetProp];
                        if ($.isFunction(adjustment)) {
                            adjustment = adjustment.apply(waypoint.element);
                        } else if (typeof adjustment === 'string') {
                            adjustment = parseFloat(adjustment);
                            if (waypoint.options.offset.indexOf('%') > -1) {
                                adjustment = Math.ceil(axis.contextDimension * adjustment / 100);
                            }
                        }
                        waypoint.offset = elementOffset - axis.contextOffset + axis.contextScroll - adjustment;
                        if ((waypoint.options.onlyOnScroll && (oldOffset != null)) || !waypoint.enabled) {
                            return;
                        }
                        if (oldOffset !== null && (oldOffset < (_ref = axis.oldScroll) && _ref <= waypoint.offset)) {
                            return waypoint.trigger([axis.backward]);
                        } else if (oldOffset !== null && (oldOffset > (_ref1 = axis.oldScroll) && _ref1 >= waypoint.offset)) {
                            return waypoint.trigger([axis.forward]);
                        } else if (oldOffset === null && axis.oldScroll >= waypoint.offset) {
                            return waypoint.trigger([axis.forward]);
                        }
                    });
                });
            };

            Context.prototype.checkEmpty = function () {
                if ($.isEmptyObject(this.waypoints.horizontal) && $.isEmptyObject(this.waypoints.vertical)) {
                    this.$element.unbind([resizeEvent, scrollEvent].join(' '));
                    return delete contexts[this.id];
                }
            };

            return Context;

        })();
        Waypoint = (function () {
            function Waypoint($element, context, options) {
                var idList, _ref;

                options = $.extend({}, $.fn[wp].defaults, options);
                if (options.offset === 'bottom-in-view') {
                    options.offset = function () {
                        var contextHeight;

                        contextHeight = $[wps]('viewportHeight');
                        if (!$.isWindow(context.element)) {
                            contextHeight = context.$element.height();
                        }
                        return contextHeight - $(this).outerHeight();
                    };
                }
                this.$element = $element;
                this.element = $element[0];
                this.axis = options.horizontal ? 'horizontal' : 'vertical';
                this.callback = options.handler;
                this.context = context;
                this.enabled = options.enabled;
                this.id = 'waypoints' + waypointCounter++;
                this.offset = null;
                this.options = options;
                context.waypoints[this.axis][this.id] = this;
                allWaypoints[this.axis][this.id] = this;
                idList = (_ref = $element.data(waypointKey)) != null ? _ref : [];
                idList.push(this.id);
                $element.data(waypointKey, idList);
            }

            Waypoint.prototype.trigger = function (args) {
                if (!this.enabled) {
                    return;
                }
                if (this.callback != null) {
                    this.callback.apply(this.element, args);
                }
                if (this.options.triggerOnce) {
                    return this.destroy();
                }
            };

            Waypoint.prototype.disable = function () {
                return this.enabled = false;
            };

            Waypoint.prototype.enable = function () {
                this.context.refresh();
                return this.enabled = true;
            };

            Waypoint.prototype.destroy = function () {
                delete allWaypoints[this.axis][this.id];
                delete this.context.waypoints[this.axis][this.id];
                return this.context.checkEmpty();
            };

            Waypoint.getWaypointsByElement = function (element) {
                var all, ids;

                ids = $(element).data(waypointKey);
                if (!ids) {
                    return [];
                }
                all = $.extend({}, allWaypoints.horizontal, allWaypoints.vertical);
                return $.map(ids, function (id) {
                    return all[id];
                });
            };

            return Waypoint;

        })();
        methods = {
            init: function (f, options) {
                var _ref;

                if (options == null) {
                    options = {};
                }
                if ((_ref = options.handler) == null) {
                    options.handler = f;
                }
                this.each(function () {
                    var $this, context, contextElement, _ref1;

                    $this = $(this);
                    contextElement = (_ref1 = options.context) != null ? _ref1 : $.fn[wp].defaults.context;
                    if (!$.isWindow(contextElement)) {
                        contextElement = $this.closest(contextElement);
                    }
                    contextElement = $(contextElement);
                    context = contexts[contextElement.data(contextKey)];
                    if (!context) {
                        context = new Context(contextElement);
                    }
                    return new Waypoint($this, context, options);
                });
                $[wps]('refresh');
                return this;
            },
            disable: function () {
                return methods._invoke(this, 'disable');
            },
            enable: function () {
                return methods._invoke(this, 'enable');
            },
            destroy: function () {
                return methods._invoke(this, 'destroy');
            },
            prev: function (axis, selector) {
                return methods._traverse.call(this, axis, selector, function (stack, index, waypoints) {
                    if (index > 0) {
                        return stack.push(waypoints[index - 1]);
                    }
                });
            },
            next: function (axis, selector) {
                return methods._traverse.call(this, axis, selector, function (stack, index, waypoints) {
                    if (index < waypoints.length - 1) {
                        return stack.push(waypoints[index + 1]);
                    }
                });
            },
            _traverse: function (axis, selector, push) {
                var stack, waypoints;

                if (axis == null) {
                    axis = 'vertical';
                }
                if (selector == null) {
                    selector = window;
                }
                waypoints = jQMethods.aggregate(selector);
                stack = [];
                this.each(function () {
                    var index;

                    index = $.inArray(this, waypoints[axis]);
                    return push(stack, index, waypoints[axis]);
                });
                return this.pushStack(stack);
            },
            _invoke: function ($elements, method) {
                $elements.each(function () {
                    var waypoints;

                    waypoints = Waypoint.getWaypointsByElement(this);
                    return $.each(waypoints, function (i, waypoint) {
                        waypoint[method]();
                        return true;
                    });
                });
                return this;
            }
        };
        $.fn[wp] = function () {
            var args, method;

            method = arguments[0], args = 2 <= arguments.length ? __slice.call(arguments, 1) : [];
            if (methods[method]) {
                return methods[method].apply(this, args);
            } else if ($.isFunction(method)) {
                return methods.init.apply(this, arguments);
            } else if ($.isPlainObject(method)) {
                return methods.init.apply(this, [null, method]);
            } else if (!method) {
                return $.error("jQuery Waypoints needs a callback function or handler option.");
            } else {
                return $.error("The " + method + " method does not exist in jQuery Waypoints.");
            }
        };
        $.fn[wp].defaults = {
            context: window,
            continuous: true,
            enabled: true,
            horizontal: false,
            offset: 0,
            triggerOnce: false
        };
        jQMethods = {
            refresh: function () {
                return $.each(contexts, function (i, context) {
                    return context.refresh();
                });
            },
            viewportHeight: function () {
                var _ref;

                return (_ref = window.innerHeight) != null ? _ref : $w.height();
            },
            aggregate: function (contextSelector) {
                var collection, waypoints, _ref;

                collection = allWaypoints;
                if (contextSelector) {
                    collection = (_ref = contexts[$(contextSelector).data(contextKey)]) != null ? _ref.waypoints : void 0;
                }
                if (!collection) {
                    return [];
                }
                waypoints = {
                    horizontal: [],
                    vertical: []
                };
                $.each(waypoints, function (axis, arr) {
                    $.each(collection[axis], function (key, waypoint) {
                        return arr.push(waypoint);
                    });
                    arr.sort(function (a, b) {
                        return a.offset - b.offset;
                    });
                    waypoints[axis] = $.map(arr, function (waypoint) {
                        return waypoint.element;
                    });
                    return waypoints[axis] = $.unique(waypoints[axis]);
                });
                return waypoints;
            },
            above: function (contextSelector) {
                if (contextSelector == null) {
                    contextSelector = window;
                }
                return jQMethods._filter(contextSelector, 'vertical', function (context, waypoint) {
                    return waypoint.offset <= context.oldScroll.y;
                });
            },
            below: function (contextSelector) {
                if (contextSelector == null) {
                    contextSelector = window;
                }
                return jQMethods._filter(contextSelector, 'vertical', function (context, waypoint) {
                    return waypoint.offset > context.oldScroll.y;
                });
            },
            left: function (contextSelector) {
                if (contextSelector == null) {
                    contextSelector = window;
                }
                return jQMethods._filter(contextSelector, 'horizontal', function (context, waypoint) {
                    return waypoint.offset <= context.oldScroll.x;
                });
            },
            right: function (contextSelector) {
                if (contextSelector == null) {
                    contextSelector = window;
                }
                return jQMethods._filter(contextSelector, 'horizontal', function (context, waypoint) {
                    return waypoint.offset > context.oldScroll.x;
                });
            },
            enable: function () {
                return jQMethods._invoke('enable');
            },
            disable: function () {
                return jQMethods._invoke('disable');
            },
            destroy: function () {
                return jQMethods._invoke('destroy');
            },
            extendFn: function (methodName, f) {
                return methods[methodName] = f;
            },
            _invoke: function (method) {
                var waypoints;

                waypoints = $.extend({}, allWaypoints.vertical, allWaypoints.horizontal);
                return $.each(waypoints, function (key, waypoint) {
                    waypoint[method]();
                    return true;
                });
            },
            _filter: function (selector, axis, test) {
                var context, waypoints;

                context = contexts[$(selector).data(contextKey)];
                if (!context) {
                    return [];
                }
                waypoints = [];
                $.each(context.waypoints[axis], function (i, waypoint) {
                    if (test(context, waypoint)) {
                        return waypoints.push(waypoint);
                    }
                });
                waypoints.sort(function (a, b) {
                    return a.offset - b.offset;
                });
                return $.map(waypoints, function (waypoint) {
                    return waypoint.element;
                });
            }
        };
        $[wps] = function () {
            var args, method;

            method = arguments[0], args = 2 <= arguments.length ? __slice.call(arguments, 1) : [];
            if (jQMethods[method]) {
                return jQMethods[method].apply(null, args);
            } else {
                return jQMethods.aggregate.call(null, method);
            }
        };
        $[wps].settings = {
            resizeThrottle: 100,
            scrollThrottle: 30
        };
        return $w.load(function () {
            return $[wps]('refresh');
        });
    });

}).call(this);

jQuery(window).load(function () {
    if (jQuery().waypoint) {
        jQuery('.t4p-progress-bar').waypoint(function () {
            jQuery(this).css('visibility', 'visible');
            jQuery('.t4p-progress-bar').each(function () {
                var percentage = jQuery(this).find('.t4p-progress-bar-content').data('percentage');
                jQuery(this).find('.t4p-progress-bar-content').css('width', '0%');
                jQuery(this).find('.t4p-progress-bar-content').animate({
                    width: percentage + '%'
                }, 'slow');
            });
        }, {
            triggerOnce: true,
            offset: 'bottom-in-view'
        });
    }

    if (jQuery().waypoint) {
        jQuery('.counters-box').waypoint(function () {
            jQuery(this).find('.display-percentage').each(function () {
                var percentage = jQuery(this).data('percentage');
                jQuery(this).countTo({from: 0, to: percentage, refreshInterval: 10, speed: 1000});
            });
        }, {
            triggerOnce: true,
            offset: 'bottom-in-view'
        });
    }


    jQuery('.simple-products-slider .product-buttons a').text('Add to cart');

    generateCarousel();

    if (jQuery().waypoint) {
        jQuery('.animated').waypoint(function () {

            jQuery(this).css('visibility', 'visible');

            // this code is executed for each appeared element
            var animation_type = jQuery(this).attr('animation_type');
            var animation_duration = jQuery(this).attr('animation_duration');

            jQuery(this).addClass('animated	' + animation_type);

            if (animation_duration) {
                jQuery(this).css('-moz-animation-duration', animation_duration + 's');
                jQuery(this).css('-webkit-animation-duration', animation_duration + 's');
                jQuery(this).css('-ms-animation-duration', animation_duration + 's');
                jQuery(this).css('-o-animation-duration', animation_duration + 's');
                jQuery(this).css('animation-duration', animation_duration + 's');
            }
        }, {triggerOnce: true, offset: 'bottom-in-view'});
    }

    /**
     * For Woocommerce product flexslider
     */

    if (jQuery('body .aside').css('display') == "block") {
        jQuery('body').addClass('has-sidebar');
    }

    if (jQuery().flexslider && jQuery('.woocommerce .images #carousel').length >= 1) {
        var WooThumbWidth = 100;
        if (jQuery('body.woocommerce #sidebar').is(':visible')) {
            wooThumbWidth = 100;
        } else {
            wooThumbWidth = 118;
        }

        if (typeof jQuery('.woocommerce .images #carousel').data('flexslider') !== 'undefined') {
            jQuery('.woocommerce .images #carousel').flexslider('destroy');
            jQuery('.woocommerce .images #slider').flexslider('destroy');
        }

        jQuery('.woocommerce .images #carousel').flexslider({
            animation: 'slide',
            controlNav: false,
            directionNav: false,
            animationLoop: false,
            slideshow: false,
            itemWidth: wooThumbWidth,
            itemMargin: 9,
            touch: false,
            useCSS: false,
            asNavFor: '.woocommerce .images #slider',
            smoothHeight: false
        });

        jQuery('.woocommerce .images #slider').flexslider({
            animation: 'slide',
            controlNav: false,
            animationLoop: false,
            slideshow: false,
            smoothHeight: true,
            touch: true,
            useCSS: false,
            sync: '.woocommerce .images #carousel'
        });
    }

});

// **********************  Woocommerce  ****************************
var generateCarousel = function () {
    if (jQuery().carouFredSel) {
        jQuery('.es-carousel-wrapper').not('.t4p-woo-featured-products-slider').each(function () {
            jQuery(this).find('ul').carouFredSel({
                auto: false,
                prev: jQuery(this).find('.es-nav-prev'),
                next: jQuery(this).find('.es-nav-next'),
                width: '100%',
                height: 'variable',
                align: 'center',
                onCreate: function (data) {
                    jQuery(this).find('.image').css('visibility', 'visible');
                }
            });
        });
        jQuery('.t4p-woo-featured-products-slider').each(function () {
            var carousel = jQuery(this).find('ul');
            carousel.carouFredSel({
                auto: false,
                prev: jQuery(this).find('.es-nav-prev'),
                next: jQuery(this).find('.es-nav-next'),
                align: 'left',
                left: 0,
                width: '100%',
                height: 'variable',
                responsive: true,
                items: {
                    width: 280,
                    height: 'variable',
                    visible: {
                        min: 1,
                        max: 30
                    }
                },
                onCreate: function (data) {
                    jQuery(this).find('.image').css('visibility', 'visible');
                    jQuery(this).parent().css('overflow', '');
                }
            });
        });

        jQuery('.simple-products-slider-variable').each(function () {
            var carousel = jQuery(this).find('ul');
            carousel.carouFredSel({
                auto: false,
                prev: jQuery(this).find('.es-nav-prev'),
                next: jQuery(this).find('.es-nav-next'),
                width: '100%',
                height: 'variable',
                align: 'center'
            });
        });
    }
};

var calcTabsLayout = function (tab_selector) {
    jQuery(tab_selector).each(function () {
        var menuWidth = jQuery(this).parent().width();
        var menuItems = jQuery(this).find('li').length;
        var mod = menuWidth % menuItems;
        var itemWidth = (menuWidth - mod) / menuItems;
        var lastItemWidth = menuWidth - itemWidth * (menuItems - 1);
        jQuery(this).css({'width': menuWidth + 'px'});
        jQuery(this).find('li').css({'width': itemWidth + 'px'});

        jQuery(this).find('li:last').css({'width': lastItemWidth + 'px'}).addClass('no-border-right');
    });
};

var generateCarousel = function () {
    if (jQuery().carouFredSel) {
        jQuery('.clients-carousel').each(function () {
            jQuery(this).find('ul').carouFredSel({
                auto: false,
                prev: jQuery(this).find('.es-nav-prev'),
                next: jQuery(this).find('.es-nav-next'),
                width: '100%',
                height: 'variable',
                align: 'center',
            });
        });

        jQuery('.es-carousel-wrapper').each(function () {
            jQuery(this).find('ul').carouFredSel({
                auto: false,
                prev: jQuery(this).find('.es-nav-prev'),
                next: jQuery(this).find('.es-nav-next'),
                width: '100%',
                height: 'variable',
                align: 'center',
            });
        });
    }
};

// **********************  Counters Circle Shortcode  ****************************
/**!
 * easyPieChart
 * Lightweight plugin to render simple, animated and retina optimized pie charts
 *
 * @license
 * @author Robert Fleischmann <rendro87@gmail.com> (http://robert-fleischmann.de)
 * @version 2.1.3
 **/

(function (root, factory) {
    if (typeof exports === 'object') {
        module.exports = factory(require('jquery'));
    } else if (typeof define === 'function' && define.amd) {
        define(['jquery'], factory);
    } else {
        factory(root.jQuery);
    }
}(this, function ($) {
    /**
     * Renderer to render the chart on a canvas object
     * @param {DOMElement} el      DOM element to host the canvas (root of the plugin)
     * @param {object}     options options object of the plugin
     */
    var CanvasRenderer = function (el, options) {
        var cachedBackground;
        var canvas = document.createElement('canvas');

        el.appendChild(canvas);

        if (typeof (G_vmlCanvasManager) !== 'undefined') {
            G_vmlCanvasManager.initElement(canvas);
        }

        var ctx = canvas.getContext('2d');

        canvas.width = canvas.height = options.size;

        // canvas on retina devices
        var scaleBy = 1;
        if (window.devicePixelRatio > 1) {
            scaleBy = window.devicePixelRatio;
            canvas.style.width = canvas.style.height = [options.size, 'px'].join('');
            canvas.width = canvas.height = options.size * scaleBy;
            ctx.scale(scaleBy, scaleBy);
        }

        // move 0,0 coordinates to the center
        ctx.translate(options.size / 2, options.size / 2);

        // rotate canvas -90deg
        ctx.rotate((-1 / 2 + options.rotate / 180) * Math.PI);

        var radius = (options.size - options.lineWidth) / 2;
        if (options.scaleColor && options.scaleLength) {
            radius -= options.scaleLength + 2; // 2 is the distance between scale and bar
        }

        // IE polyfill for Date
        Date.now = Date.now || function () {
            return +(new Date());
        };

        /**
         * Draw a circle around the center of the canvas
         * @param {strong} color     Valid CSS color string
         * @param {number} lineWidth Width of the line in px
         * @param {number} percent   Percentage to draw (float between -1 and 1)
         */
        var drawCircle = function (color, lineWidth, percent) {
            percent = Math.min(Math.max(-1, percent || 0), 1);
            var isNegative = percent <= 0 ? true : false;

            ctx.beginPath();
            ctx.arc(0, 0, radius, 0, Math.PI * 2 * percent, isNegative);

            ctx.strokeStyle = color;
            ctx.lineWidth = lineWidth;

            ctx.stroke();
        };

        /**
         * Draw the scale of the chart
         */
        var drawScale = function () {
            var offset;
            var length;

            ctx.lineWidth = 1;
            ctx.fillStyle = options.scaleColor;

            ctx.save();
            for (var i = 24; i > 0; --i) {
                if (i % 6 === 0) {
                    length = options.scaleLength;
                    offset = 0;
                } else {
                    length = options.scaleLength * 0.6;
                    offset = options.scaleLength - length;
                }
                ctx.fillRect(-options.size / 2 + offset, 0, length, 1);
                ctx.rotate(Math.PI / 12);
            }
            ctx.restore();
        };

        /**
         * Request animation frame wrapper with polyfill
         * @return {function} Request animation frame method or timeout fallback
         */
        var reqAnimationFrame = (function () {
            return  window.requestAnimationFrame ||
                    window.webkitRequestAnimationFrame ||
                    window.mozRequestAnimationFrame ||
                    function (callback) {
                        window.setTimeout(callback, 1000 / 60);
                    };
        }());

        /**
         * Draw the background of the plugin including the scale and the track
         */
        var drawBackground = function () {
            if (options.scaleColor)
                drawScale();
            if (options.trackColor)
                drawCircle(options.trackColor, options.lineWidth, 1);
        };

        /**
         * Canvas accessor
         */
        this.getCanvas = function () {
            return canvas;
        };

        /**
         * Canvas 2D context 'ctx' accessor
         */
        this.getCtx = function () {
            return ctx;
        };

        /**
         * Clear the complete canvas
         */
        this.clear = function () {
            ctx.clearRect(options.size / -2, options.size / -2, options.size, options.size);
        };

        /**
         * Draw the complete chart
         * @param {number} percent Percent shown by the chart between -100 and 100
         */
        this.draw = function (percent) {
            // do we need to render a background
            if (!!options.scaleColor || !!options.trackColor) {
                // getImageData and putImageData are supported
                if (ctx.getImageData && ctx.putImageData) {
                    if (!cachedBackground) {
                        drawBackground();
                        cachedBackground = ctx.getImageData(0, 0, options.size * scaleBy, options.size * scaleBy);
                    } else {
                        ctx.putImageData(cachedBackground, 0, 0);
                    }
                } else {
                    this.clear();
                    drawBackground();
                }
            } else {
                this.clear();
            }

            ctx.lineCap = options.lineCap;

            // if barcolor is a function execute it and pass the percent as a value
            var color;
            if (typeof (options.barColor) === 'function') {
                color = options.barColor(percent);
            } else {
                color = options.barColor;
            }

            // draw bar
            drawCircle(color, options.lineWidth, percent / 100);
        }.bind(this);

        /**
         * Animate from some percent to some other percentage
         * @param {number} from Starting percentage
         * @param {number} to   Final percentage
         */
        this.animate = function (from, to) {
            var startTime = Date.now();
            options.onStart(from, to);
            var animation = function () {
                var process = Math.min(Date.now() - startTime, options.animate.duration);
                var currentValue = options.easing(this, process, from, to - from, options.animate.duration);
                this.draw(currentValue);
                options.onStep(from, to, currentValue);
                if (process >= options.animate.duration) {
                    options.onStop(from, to);
                } else {
                    reqAnimationFrame(animation);
                }
            }.bind(this);

            reqAnimationFrame(animation);
        }.bind(this);
    };

    var EasyPieChart = function (el, opts) {
        var defaultOptions = {
            barColor: '#ef1e25',
            trackColor: '#f9f9f9',
            scaleColor: '#dfe0e0',
            scaleLength: 5,
            lineCap: 'round',
            lineWidth: 3,
            size: 110,
            rotate: 0,
            animate: {
                duration: 1000,
                enabled: true
            },
            easing: function (x, t, b, c, d) { // more can be found here: http://gsgd.co.uk/sandbox/jquery/easing/
                t = t / (d / 2);
                if (t < 1) {
                    return c / 2 * t * t + b;
                }
                return -c / 2 * ((--t) * (t - 2) - 1) + b;
            },
            onStart: function (from, to) {
                return;
            },
            onStep: function (from, to, currentValue) {
                return;
            },
            onStop: function (from, to) {
                return;
            }
        };

        // detect present renderer
        if (typeof (CanvasRenderer) !== 'undefined') {
            defaultOptions.renderer = CanvasRenderer;
        } else if (typeof (SVGRenderer) !== 'undefined') {
            defaultOptions.renderer = SVGRenderer;
        } else {
            throw new Error('Please load either the SVG- or the CanvasRenderer');
        }

        var options = {};
        var currentValue = 0;

        /**
         * Initialize the plugin by creating the options object and initialize rendering
         */
        var init = function () {
            this.el = el;
            this.options = options;

            // merge user options into default options
            for (var i in defaultOptions) {
                if (defaultOptions.hasOwnProperty(i)) {
                    options[i] = opts && typeof (opts[i]) !== 'undefined' ? opts[i] : defaultOptions[i];
                    if (typeof (options[i]) === 'function') {
                        options[i] = options[i].bind(this);
                    }
                }
            }

            // check for jQuery easing
            if (typeof (options.easing) === 'string' && typeof (jQuery) !== 'undefined' && jQuery.isFunction(jQuery.easing[options.easing])) {
                options.easing = jQuery.easing[options.easing];
            } else {
                options.easing = defaultOptions.easing;
            }

            // process earlier animate option to avoid bc breaks
            if (typeof (options.animate) === 'number') {
                options.animate = {
                    duration: options.animate,
                    enabled: true
                };
            }

            if (typeof (options.animate) === 'boolean' && !options.animate) {
                options.animate = {
                    duration: 1000,
                    enabled: options.animate
                };
            }

            // create renderer
            this.renderer = new options.renderer(el, options);

            // initial draw
            this.renderer.draw(currentValue);

            // initial update
            if (el.dataset && el.dataset.percent) {
                this.update(parseFloat(el.dataset.percent));
            } else if (el.getAttribute && el.getAttribute('data-percent')) {
                this.update(parseFloat(el.getAttribute('data-percent')));
            }
        }.bind(this);

        /**
         * Update the value of the chart
         * @param  {number} newValue Number between 0 and 100
         * @return {object}          Instance of the plugin for method chaining
         */
        this.update = function (newValue) {
            newValue = parseFloat(newValue);
            if (options.animate.enabled) {
                this.renderer.animate(currentValue, newValue);
            } else {
                this.renderer.draw(newValue);
            }
            currentValue = newValue;
            return this;
        }.bind(this);

        /**
         * Disable animation
         * @return {object} Instance of the plugin for method chaining
         */
        this.disableAnimation = function () {
            options.animate.enabled = false;
            return this;
        };

        /**
         * Enable animation
         * @return {object} Instance of the plugin for method chaining
         */
        this.enableAnimation = function () {
            options.animate.enabled = true;
            return this;
        };

        init();
    };

    $.fn.easyPieChart = function (options) {
        return this.each(function () {
            var instanceOptions;

            if (!$.data(this, 'easyPieChart')) {
                instanceOptions = $.extend({}, options, $(this).data());
                $.data(this, 'easyPieChart', new EasyPieChart(this, instanceOptions));
            }
        });
    };

}));

// **********************  From custom_main.js  ****************************

/**
 * User agent
 * http://cssuseragent.org/
 */
var cssua = function (n, l, p) {
    var q = /\s*([\-\w ]+)[\s\/\:]([\d_]+\b(?:[\-\._\/]\w+)*)/, r = /([\w\-\.]+[\s\/][v]?[\d_]+\b(?:[\-\._\/]\w+)*)/g, s = /\b(?:(blackberry\w*|bb10)|(rim tablet os))(?:\/(\d+\.\d+(?:\.\w+)*))?/, t = /\bsilk-accelerated=true\b/, u = /\bfluidapp\b/, v = /(\bwindows\b|\bmacintosh\b|\blinux\b|\bunix\b)/, w = /(\bandroid\b|\bipad\b|\bipod\b|\bwindows phone\b|\bwpdesktop\b|\bxblwp7\b|\bzunewp7\b|\bwindows ce\b|\bblackberry\w*|\bbb10\b|\brim tablet os\b|\bmeego|\bwebos\b|\bpalm|\bsymbian|\bj2me\b|\bdocomo\b|\bpda\b|\bchtml\b|\bmidp\b|\bcldc\b|\w*?mobile\w*?|\w*?phone\w*?)/,
            x = /(\bxbox\b|\bplaystation\b|\bnintendo\s+\w+)/, k = {parse: function (b, d) {
                    var a = {};
                    d && (a.standalone = d);
                    b = ("" + b).toLowerCase();
                    if (!b)
                        return a;
                    for (var c, e, g = b.split(/[()]/), f = 0, k = g.length; f < k; f++)
                        if (f % 2) {
                            var m = g[f].split(";");
                            c = 0;
                            for (e = m.length; c < e; c++)
                                if (q.exec(m[c])) {
                                    var h = RegExp.$1.split(" ").join("_"), l = RegExp.$2;
                                    if (!a[h] || parseFloat(a[h]) < parseFloat(l))
                                        a[h] = l
                                }
                        } else if (m = g[f].match(r))
                            for (c = 0, e = m.length; c < e; c++)
                                h = m[c].split(/[\/\s]+/), h.length && "mozilla" !== h[0] && (a[h[0].split(" ").join("_")] = h.slice(1).join("-"));
                    w.exec(b) ? (a.mobile = RegExp.$1, s.exec(b) && (delete a[a.mobile], a.blackberry = a.version || RegExp.$3 || RegExp.$2 || RegExp.$1, RegExp.$1 ? a.mobile = "blackberry" : "0.0.1" === a.version && (a.blackberry = "7.1.0.0"))) : v.exec(b) ? a.desktop = RegExp.$1 : x.exec(b) && (a.game = RegExp.$1, c = a.game.split(" ").join("_"), a.version && !a[c] && (a[c] = a.version));
                    a.intel_mac_os_x ? (a.mac_os_x = a.intel_mac_os_x.split("_").join("."), delete a.intel_mac_os_x) : a.cpu_iphone_os ? (a.ios = a.cpu_iphone_os.split("_").join("."), delete a.cpu_iphone_os) : a.cpu_os ?
                            (a.ios = a.cpu_os.split("_").join("."), delete a.cpu_os) : "iphone" !== a.mobile || a.ios || (a.ios = "1");
                    a.opera && a.version ? (a.opera = a.version, delete a.blackberry) : t.exec(b) ? a.silk_accelerated = !0 : u.exec(b) && (a.fluidapp = a.version);
                    if (a.applewebkit)
                        a.webkit = a.applewebkit, delete a.applewebkit, a.opr && (a.opera = a.opr, delete a.opr, delete a.chrome), a.safari && (a.chrome || a.crios || a.opera || a.silk || a.fluidapp || a.phantomjs || a.mobile && !a.ios ? delete a.safari : a.safari = a.version && !a.rim_tablet_os ? a.version : {419: "2.0.4", 417: "2.0.3",
                            416: "2.0.2", 412: "2.0", 312: "1.3", 125: "1.2", 85: "1.0"}[parseInt(a.safari, 10)] || a.safari);
                    else if (a.msie || a.trident)
                        if (a.opera || (a.ie = a.msie || a.rv), delete a.msie, a.windows_phone_os)
                            a.windows_phone = a.windows_phone_os, delete a.windows_phone_os;
                        else {
                            if ("wpdesktop" === a.mobile || "xblwp7" === a.mobile || "zunewp7" === a.mobile)
                                a.mobile = "windows desktop", a.windows_phone = 9 > +a.ie ? "7.0" : 10 > +a.ie ? "7.5" : "8.0", delete a.windows_nt
                        }
                    else if (a.gecko || a.firefox)
                        a.gecko = a.rv;
                    a.rv && delete a.rv;
                    a.version && delete a.version;
                    return a
                },
                format: function (b) {
                    var d = "", a;
                    for (a in b)
                        if (a && b.hasOwnProperty(a)) {
                            var c = a, e = b[a], c = c.split(".").join("-"), g = " ua-" + c;
                            if ("string" === typeof e) {
                                for (var e = e.split(" ").join("_").split(".").join("-"), f = e.indexOf("-"); 0 < f; )
                                    g += " ua-" + c + "-" + e.substring(0, f), f = e.indexOf("-", f + 1);
                                g += " ua-" + c + "-" + e
                            }
                            d += g
                        }
                    return d
                }, encode: function (b) {
                    var d = "", a;
                    for (a in b)
                        a && b.hasOwnProperty(a) && (d && (d += "\x26"), d += encodeURIComponent(a) + "\x3d" + encodeURIComponent(b[a]));
                    return d
                }};
    k.userAgent = k.ua = k.parse(l, p);
    l = k.format(k.ua) +
            " js";
    n.className = n.className ? n.className.replace(/\bno-js\b/g, "") + l : l.substr(1);
    return k
}(document.documentElement, navigator.userAgent, navigator.standalone);

/* jQuery CounTo */

(function (a) {
    a.fn.countTo = function (g) {
        g = g || {};
        return a(this).each(function () {
            function e(a) {
                a = b.formatter.call(h, a, b);
                f.html(a)
            }
            var b = a.extend({}, a.fn.countTo.defaults, {from: a(this).data("from"), to: a(this).data("to"), speed: a(this).data("speed"), refreshInterval: a(this).data("refresh-interval"), decimals: a(this).data("decimals")}, g), j = Math.ceil(b.speed / b.refreshInterval), l = (b.to - b.from) / j, h = this, f = a(this), k = 0, c = b.from, d = f.data("countTo") || {};
            f.data("countTo", d);
            d.interval && clearInterval(d.interval);
            d.interval =
                    setInterval(function () {
                        c += l;
                        k++;
                        e(c);
                        "function" == typeof b.onUpdate && b.onUpdate.call(h, c);
                        k >= j && (f.removeData("countTo"), clearInterval(d.interval), c = b.to, "function" == typeof b.onComplete && b.onComplete.call(h, c))
                    }, b.refreshInterval);
            e(c)
        })
    };
    a.fn.countTo.defaults = {from: 0, to: 0, speed: 1E3, refreshInterval: 100, decimals: 0, formatter: function (a, e) {
            return a.toFixed(e.decimals)
        }, onUpdate: null, onComplete: null}
})(jQuery);

(function (jQuery) {

    "use strict";

    // animate counter boxes
    jQuery.fn.t4p_box_counting = function () {
        var count_value = jQuery(this).data('value');
        var count_direction = jQuery(this).data('direction');

        if (count_direction == 'down') {
            jQuery(this).countTo({from: count_value, to: 0, refreshInterval: 10, speed: 1000});
        } else {
            jQuery(this).countTo({from: 0, to: count_value, refreshInterval: 10, speed: 1000});
        }
    };

    // animate counter circles
    jQuery.fn.t4p_draw_circles = function () {
        var circle = jQuery(this);
        var countdown = circle.children('.counter-circle').attr('data-countdown');
        var filledcolor = circle.children('.counter-circle').attr('data-filledcolor');
        var unfilledcolor = circle.children('.counter-circle').attr('data-unfilledcolor');
        var scale = circle.children('.counter-circle').attr('data-scale');
        var size = circle.children('.counter-circle').attr('data-size');
        var speed = circle.children('.counter-circle').attr('data-speed');
        var stroksize = circle.children('.counter-circle').attr('data-strokesize');

        var percentage = circle.children('.counter-circle').attr('data-percent');

        if (scale) {
            scale = jQuery('body').css('color');
        }

        if (countdown) {
            circle.children('.counter-circle').attr('data-percent', 100);

            circle.children('.counter-circle').easyPieChart({
                barColor: filledcolor,
                trackColor: unfilledcolor,
                scaleColor: scale,
                scaleLength: 5,
                lineCap: 'round',
                lineWidth: stroksize,
                size: size,
                rotate: 0,
                animate: {
                    duration: speed, enabled: true
                }
            });
            circle.children('.counter-circle').data('easyPieChart').enableAnimation();
            circle.children('.counter-circle').data('easyPieChart').update(percentage);
        } else {
            circle.children('.counter-circle').easyPieChart({
                barColor: filledcolor,
                trackColor: unfilledcolor,
                scaleColor: scale,
                scaleLength: 5,
                lineCap: 'round',
                lineWidth: stroksize,
                size: size,
                rotate: 0,
                animate: {
                    duration: speed, enabled: true
                }
            });
        }
    };

    // set flip boxes equal front/back height
    jQuery.fn.t4p_setup_flip_boxes = function () {
        var flip_box = jQuery(this);
        var outer_height, height, top_margin = 0;

        if (flip_box.find('.flip-box-front').outerHeight() > flip_box.find('.flip-box-back').outerHeight()) {
            outer_height = flip_box.find('.flip-box-front').outerHeight();
            height = flip_box.find('.flip-box-front').height();
            top_margin = (height - flip_box.find('.flip-box-back-inner').outerHeight()) / 2;

            flip_box.find('.flip-box-back').css('min-height', outer_height);
            flip_box.css('min-height', outer_height);
            flip_box.find('.flip-box-back-inner').css('margin-top', top_margin);
        } else {
            outer_height = flip_box.find('.flip-box-back').outerHeight();
            height = flip_box.find('.flip-box-back').height();
            top_margin = (height - flip_box.find('.flip-box-front-inner').outerHeight()) / 2;

            flip_box.find('.flip-box-front').css('min-height', outer_height);
            flip_box.css('min-height', outer_height);
            flip_box.find('.flip-box-front-inner').css('margin-top', top_margin);
        }
    };

    // animate progress bar
    jQuery.fn.t4p_draw_progress = function () {
        var progressbar = jQuery(this);
        if (jQuery('html').hasClass('lt-ie9')) {
            progressbar.css('visibility', 'visible');
            progressbar.each(function () {
                var percentage = progressbar.find('.t4p-progress').attr("aria-valuenow");
                progressbar.find('.t4p-progress').css('width', '0%');
                progressbar.find('.t4p-progress').animate({
                    width: percentage + '%'
                }, 'slow');
            });
        } else {
            progressbar.find('.t4p-progress').css("width", function () {
                return jQuery(this).attr("aria-valuenow") + "%";
            });
        }
    };

})(jQuery);

/*!
 * jQuery Cycle Lite Plugin
 * http://malsup.com/jquery/cycle/lite/
 * Copyright (c) 2008-2012 M. Alsup
 * Version: 1.7 (20-FEB-2013)
 * Dual licensed under the MIT and GPL licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl.html
 * Requires: jQuery v1.3.2 or later
 */
;
(function ($) {
    "use strict";

    var ver = 'Lite-1.7';
    var msie = /MSIE/.test(navigator.userAgent);

    $.fn.cycle = function (options) {
        return this.each(function () {
            options = options || {};

            if (this.cycleTimeout)
                clearTimeout(this.cycleTimeout);

            this.cycleTimeout = 0;
            this.cyclePause = 0;

            var $cont = $(this);
            var $slides = options.slideExpr ? $(options.slideExpr, this) : $cont.children();
            var els = $slides.get();
            if (els.length < 2) {
                if (window.console)
                    console.log('terminating; too few slides: ' + els.length);
                return; // don't bother
            }

            // support metadata plugin (v1.0 and v2.0)
            var opts = $.extend({}, $.fn.cycle.defaults, options || {}, $.metadata ? $cont.metadata() : $.meta ? $cont.data() : {});
            var meta = $.isFunction($cont.data) ? $cont.data(opts.metaAttr) : null;
            if (meta)
                opts = $.extend(opts, meta);

            opts.before = opts.before ? [opts.before] : [];
            opts.after = opts.after ? [opts.after] : [];
            opts.after.unshift(function () {
                opts.busy = 0;
            });

            // allow shorthand overrides of width, height and timeout
            var cls = this.className;
            opts.width = parseInt((cls.match(/w:(\d+)/) || [])[1], 10) || opts.width;
            opts.height = parseInt((cls.match(/h:(\d+)/) || [])[1], 10) || opts.height;
            opts.timeout = parseInt((cls.match(/t:(\d+)/) || [])[1], 10) || opts.timeout;

            if ($cont.css('position') == 'static')
                $cont.css('position', 'relative');
            if (opts.width)
                $cont.width(opts.width);
            if (opts.height && opts.height != 'auto')
                $cont.height(opts.height);

            var first = 0;
            $slides.css({position: 'absolute', top: 0}).each(function (i) {
                $(this).css('z-index', els.length - i);
            });

            $(els[first]).css('opacity', 1).show(); // opacity bit needed to handle reinit case
            if (msie)
                els[first].style.removeAttribute('filter');

            if (opts.fit && opts.width)
                $slides.width(opts.width);
            if (opts.fit && opts.height && opts.height != 'auto')
                $slides.height(opts.height);
            if (opts.pause)
                $cont.hover(function () {
                    this.cyclePause = 1;
                }, function () {
                    this.cyclePause = 0;
                });

            var txFn = $.fn.cycle.transitions[opts.fx];
            if (txFn)
                txFn($cont, $slides, opts);

            $slides.each(function () {
                var $el = $(this);
                this.cycleH = (opts.fit && opts.height) ? opts.height : $el.height();
                this.cycleW = (opts.fit && opts.width) ? opts.width : $el.width();
            });

            if (opts.cssFirst)
                $($slides[first]).css(opts.cssFirst);

            if (opts.timeout) {
                // ensure that timeout and speed settings are sane
                if (opts.speed.constructor == String)
                    opts.speed = {slow: 600, fast: 200}[opts.speed] || 400;
                if (!opts.sync)
                    opts.speed = opts.speed / 2;
                while ((opts.timeout - opts.speed) < 250)
                    opts.timeout += opts.speed;
            }
            opts.speedIn = opts.speed;
            opts.speedOut = opts.speed;

            opts.slideCount = els.length;
            opts.currSlide = first;
            opts.nextSlide = 1;

            // fire artificial events
            var e0 = $slides[first];
            if (opts.before.length)
                opts.before[0].apply(e0, [e0, e0, opts, true]);
            if (opts.after.length > 1)
                opts.after[1].apply(e0, [e0, e0, opts, true]);

            if (opts.click && !opts.next)
                opts.next = opts.click;
            if (opts.next)
                $(opts.next).unbind('click.cycle').bind('click.cycle', function () {
                    return advance(els, opts, opts.rev ? -1 : 1);
                });
            if (opts.prev)
                $(opts.prev).unbind('click.cycle').bind('click.cycle', function () {
                    return advance(els, opts, opts.rev ? 1 : -1);
                });

            if (opts.timeout)
                this.cycleTimeout = setTimeout(function () {
                    go(els, opts, 0, !opts.rev);
                }, opts.timeout + (opts.delay || 0));
        });
    };

    function go(els, opts, manual, fwd) {
        if (opts.busy)
            return;
        var p = els[0].parentNode, curr = els[opts.currSlide], next = els[opts.nextSlide];
        if (p.cycleTimeout === 0 && !manual)
            return;

        if (manual || !p.cyclePause) {
            if (opts.before.length)
                $.each(opts.before, function (i, o) {
                    o.apply(next, [curr, next, opts, fwd]);
                });
            var after = function () {
                if (msie)
                    this.style.removeAttribute('filter');
                $.each(opts.after, function (i, o) {
                    o.apply(next, [curr, next, opts, fwd]);
                });
                queueNext(opts);
            };

            if (opts.nextSlide != opts.currSlide) {
                opts.busy = 1;
                $.fn.cycle.custom(curr, next, opts, after);
            }
            var roll = (opts.nextSlide + 1) == els.length;
            opts.nextSlide = roll ? 0 : opts.nextSlide + 1;
            opts.currSlide = roll ? els.length - 1 : opts.nextSlide - 1;
        } else {
            queueNext(opts);
        }

        function queueNext(opts) {
            if (opts.timeout)
                p.cycleTimeout = setTimeout(function () {
                    go(els, opts, 0, !opts.rev);
                }, opts.timeout);
        }
    }

// advance slide forward or back
    function advance(els, opts, val) {
        var p = els[0].parentNode, timeout = p.cycleTimeout;
        if (timeout) {
            clearTimeout(timeout);
            p.cycleTimeout = 0;
        }
        opts.nextSlide = opts.currSlide + val;
        if (opts.nextSlide < 0) {
            opts.nextSlide = els.length - 1;
        } else if (opts.nextSlide >= els.length) {
            opts.nextSlide = 0;
        }
        go(els, opts, 1, val >= 0);
        return false;
    }

    $.fn.cycle.custom = function (curr, next, opts, cb) {
        var $l = $(curr), $n = $(next);
        $n.css(opts.cssBefore);
        var fn = function () {
            $n.animate(opts.animIn, opts.speedIn, opts.easeIn, cb);
        };
        $l.animate(opts.animOut, opts.speedOut, opts.easeOut, function () {
            $l.css(opts.cssAfter);
            if (!opts.sync)
                fn();
        });
        if (opts.sync)
            fn();
    };

    $.fn.cycle.transitions = {
        fade: function ($cont, $slides, opts) {
            $slides.not(':eq(0)').hide();
            opts.cssBefore = {opacity: 0, display: 'block'};
            opts.cssAfter = {display: 'none'};
            opts.animOut = {opacity: 0};
            opts.animIn = {opacity: 1};
        },
        fadeout: function ($cont, $slides, opts) {
            opts.before.push(function (curr, next, opts, fwd) {
                $(curr).css('zIndex', opts.slideCount + (fwd === true ? 1 : 0));
                $(next).css('zIndex', opts.slideCount + (fwd === true ? 0 : 1));
            });
            $slides.not(':eq(0)').hide();
            opts.cssBefore = {opacity: 1, display: 'block', zIndex: 1};
            opts.cssAfter = {display: 'none', zIndex: 0};
            opts.animOut = {opacity: 0};
            opts.animIn = {opacity: 1};
        }
    };

    $.fn.cycle.ver = function () {
        return ver;
    };

// @see: http://malsup.com/jquery/cycle/lite/
    $.fn.cycle.defaults = {
        animIn: {},
        animOut: {},
        fx: 'fade',
        after: null,
        before: null,
        cssBefore: {},
        cssAfter: {},
        delay: 0,
        fit: 0,
        height: 'auto',
        metaAttr: 'cycle',
        next: null,
        pause: false,
        prev: null,
        speed: 1000,
        slideExpr: null,
        sync: true,
        timeout: 4000
    };

})(jQuery);

jQuery(window).load(function () {
    // Counters Box
    jQuery('.t4p-counter-box').not('.t4p-modal .t4p-counter-box').waypoint(function () {
        jQuery(this).find('.display-counter').each(function () {
            jQuery(this).t4p_box_counting();
        });
    }, {
        triggerOnce: true,
        offset: 'bottom-in-view'
    });

    jQuery('.t4p-modal .t4p-counter-box').each(function () {
        jQuery(this).appear(function () {
            jQuery(this).find('.display-counter').each(function () {
                jQuery(this).t4p_box_counting();
            });
        });
    });

    // Counter Circles
    jQuery('.counter-circle-wrapper').not('.t4p-modal .counter-circle-wrapper').waypoint(function () {
        jQuery(this).t4p_draw_circles();
    }, {
        triggerOnce: true,
        offset: 'bottom-in-view'
    });

    jQuery('.t4p-modal .counter-circle-wrapper').each(function () {
        jQuery(this).appear(function () {
            jQuery(this).t4p_draw_circles();
        });
    });

    // Flip Boxes
    jQuery('.flip-box-inner-wrapper').each(function () {
        jQuery(this).t4p_setup_flip_boxes();
    });

    // Progressbar
    jQuery('.t4p-progressbar').not('.t4p-modal .t4p-progressbar').waypoint(function () {
        jQuery(this).t4p_draw_progress();
    }, {
        triggerOnce: true,
        offset: 'bottom-in-view'
    });

    jQuery('.t4p-modal .t4p-progressbar').each(function () {
        jQuery(this).appear(function () {
            jQuery(this).t4p_draw_progress();
        });
    });

    // Testimonials
    function onAfter(curr, next, opts, fwd) {
        var $ht = jQuery(this).height();

        //set the container's height to that of the current slide
        jQuery(this).parent().css('height', $ht);
    }

    if (jQuery().cycle) {
        var reviews_cycle_args = {
            fx: 'fade',
            after: onAfter,
            delay: 0
        };

        if (typeof(js_local_vars) != "undefined" && js_local_vars.testimonials_speed) {
            reviews_cycle_args.timeout = parseInt(js_local_vars.testimonials_speed);
        } else {
            reviews_cycle_args.timeout = parseInt(4000);
        }
        
        jQuery('.reviews').cycle(reviews_cycle_args);
    }

    // Toggles
    jQuery('.t4p-accordian .panel-title a').on('click', function (e) {
        if (jQuery(this).hasClass('active')) {
            jQuery(this).parents('.t4p-accordian ').find('.panel-title a').removeClass('active');
            jQuery(this).parents('.t4p-accordian ').find('.panel-collapse').removeClass('in');
            jQuery(this).parents('.t4p-accordian ').find('.panel-collapse').attr("aria-expanded", "false");
            return false; 
        } else {
            jQuery(this).parents('.t4p-accordian ').find('.panel-title a').removeClass('active');
            jQuery(this).parents('.t4p-accordian ').find('.panel-collapse').removeClass('in');
            jQuery(this).addClass('active');

            jQuery(this).parents('.panel').find('.panel-body .shortcode-map').each(function () {
                jQuery("#" + this.id).goMap();
                marker = jQuery.goMap.markers[0];
                if (marker) {
                    info = jQuery.goMap.getInfo(marker);
                    jQuery.goMap.setInfo(marker, info);
                }
                var center = jQuery.goMap.getMap().getCenter();
                google.maps.event.trigger(jQuery.goMap.getMap(), 'resize');
                jQuery.goMap.getMap().setCenter(center);
            });
        }

        generateCarousel();

        if (jQuery('.portfolio').length) {
            jQuery('.portfolio-wrapper').isotope('reLayout');
        }
        
    });

    // Initialize Bootstrap Modals
    jQuery('.t4p-modal').each(function () {
        jQuery('#wrapper').append(jQuery(this));
    });

    jQuery('.t4p-modal').bind('hidden.bs.modal', function () {
        jQuery('html').css('overflow', '');
    });

    jQuery('.t4p-modal').bind('show.bs.modal', function () {
        jQuery('html').css('overflow', 'visible');
    });

    if (jQuery('.t4p-slider').data('parallax') == 1) {
        jQuery('.t4p-modal').css('top', jQuery('.header-wrapper').height());
    }

    jQuery('.t4p-hook-modal a').click(function (e) {
        e.preventDefault();
    });

    if (cssua.ua.mobile || cssua.ua.tablet_pc) {
        jQuery('.t4p-popover, .t4p-tooltip').each(function () {
            jQuery(this).attr('data-trigger', 'click');
            jQuery(this).data('trigger', 'click');
        });
    }

    // Initialize Bootstrap Popovers
    jQuery('[data-toggle~="popover"]').popover({
        container: 'body'
    });

    // Initialize Bootstrap Tabs
    // Initialize vertical tabs content container height
    if (jQuery('.vertical-tabs').length >= 1) {
        jQuery('.vertical-tabs .tab-content .tab-pane').css('min-height', jQuery('.vertical-tabs .nav-tabs').outerHeight());
    }

    jQuery(window).on('resize', function () {
        if (jQuery('.vertical-tabs').length >= 1) {
            jQuery('.vertical-tabs .tab-content .tab-pane').css('min-height', jQuery('.vertical-tabs .nav-tabs').outerHeight());
        }
    });

    // Initialize Bootstrap Tooltip
    jQuery('[data-toggle~="tooltip"]').tooltip({
        container: 'body'
    });

    generateCarousel();

    if (jQuery().waypoint) {
        jQuery('.t4p-animated').waypoint(function () {

            jQuery(this).css('visibility', 'visible');

            // this code is executed for each appeared element
            var animation_type = jQuery(this).data('animationtype');
            var animation_duration = jQuery(this).data('animationduration');

            jQuery(this).addClass('animated-	' + animation_type);

            if (animation_duration) {
                jQuery(this).css('-moz-animation-duration', animation_duration + 's');
                jQuery(this).css('-webkit-animation-duration', animation_duration + 's');
                jQuery(this).css('-ms-animation-duration', animation_duration + 's');
                jQuery(this).css('-o-animation-duration', animation_duration + 's');
                jQuery(this).css('animation-duration', animation_duration + 's');
            }
        }, {triggerOnce: true, offset: 'bottom-in-view'});
    }

});

jQuery(document).ready(function ($) {

    setTimeout(function () {
        jQuery('.flip-box-inner-wrapper .fa').addClass('finished-animating');
    }, 5000);

    jQuery('.t4p-flip-box').mouseover(function () {
        jQuery(this).addClass('hover');
    });

    jQuery('.t4p-flip-box').mouseout(function () {
        jQuery(this).removeClass('hover');
    });

    // One page scrolling effect
    var adminbar_height = jQuery('#wpadminbar').outerHeight();
    var sticky_height = 0;

    if (jQuery('.sticky-header').length) {
        sticky_height = 65;
    }

    jQuery('.t4p-accordian .panel-title.toggle a').click(function (e) {
        e.preventDefault();
    });

    jQuery('[data-toggle=modal]').live('click', function (e) {
        e.preventDefault();
    });

    jQuery('.woocommerce .images #carousel a').click(function (e) {
        e.preventDefault();
    });



    jQuery('.portfolio-tabs a').click(function (e) {
        e.preventDefault();

        var selector = jQuery(this).attr('data-filter');
        jQuery(this).parents('.portfolio').find('.portfolio-wrapper').isotope({filter: selector});

        jQuery(this).parents('ul').find('li').removeClass('active');
        jQuery(this).parent().addClass('active');
    });

    jQuery('.faq-tabs a').click(function (e) {
        e.preventDefault();

        var selector = jQuery(this).attr('data-filter');

        jQuery('.faqs .portfolio-wrapper .faq-item').fadeOut();
        jQuery('.faqs .portfolio-wrapper .faq-item' + selector).fadeIn();

        jQuery(this).parents('ul').find('li').removeClass('active');
        jQuery(this).parent().addClass('active');
    });


    jQuery('.t4p-alert .close').click(function (e) {
        e.preventDefault();

        jQuery(this).parent().slideUp();
    });

    jQuery('.content-boxes-icon-boxed').each(function () {
        jQuery(this).find('.content-box-column .content-wrapper-boxed').equalHeights();
        jQuery(this).find('.content-box-column .content-wrapper-boxed').css('overflow', 'visible');
    });

});

jQuery(document).ready(function ($) {
    // Prevent the Blog Timeline from showing huge font size of Date when loading. 
    //jQuery('div.timeline-date').removeClass('hidden-div');	  

    // Prevent the sidebar from showing when using shortcodes.  
    if (jQuery('div.t4p-blog-shortcode').length && jQuery('div.full-width').length) {
        jQuery("#secondary").css({"display": "none"});
    }

    if (jQuery('div.t4p-woo-product-slider').length && jQuery('div.full-width').length) {
        jQuery("#secondary").css({"display": "none"});
    }

    if (jQuery('div.t4p-slider-sc').length && jQuery('div.full-width').length) {
        jQuery("#secondary").css({"display": "none"});
    }
});

jQuery(document).ready(function ($) {
    // Tabs
    //When page loads...
    jQuery('.tabs-wrapper').each(function () {
        jQuery(this).find(".tab_content").hide(); //Hide all content
        if (document.location.hash && jQuery(this).find("ul.tabs li a[href='" + document.location.hash + "']").length >= 1) {
            jQuery(this).find("ul.tabs li a[href='" + document.location.hash + "']").parent().addClass("active").show(); //Activate first tab
            jQuery(this).find(document.location.hash + ".tab_content").show(); //Show first tab content
        } else {
            jQuery(this).find("ul.tabs li:first").addClass("active").show(); //Activate first tab
            jQuery(this).find(".tab_content:first").show(); //Show first tab content
        }
    });

    jQuery('[data-toggle=modal]').live('click', function (e) {
        e.preventDefault();
    });

    //On Click Event
    jQuery("ul.tabs li").click(function (e) {
        jQuery(this).parents('.tabs-wrapper').find("ul.tabs li").removeClass("active"); //Remove any "active" class
        jQuery(this).addClass("active"); //Add "active" class to selected tab
        jQuery(this).parents('.tabs-wrapper').find(".tab_content").hide(); //Hide all tab content

        var activeTab = jQuery(this).find("a").attr("href"); //Find the href attribute value to identify the active tab + content
        jQuery(this).parents('.tabs-wrapper').find(activeTab).fadeIn(); //Fade in the active ID content

        jQuery(this).parents('.tabs-wrapper').find(activeTab).find('.content-boxes').each(function () {
            var cols = jQuery(this).find('.col').length;
            jQuery(this).addClass('columns-' + cols);
        });

        jQuery(this).parents('.tabs-wrapper').find(activeTab).find('.columns-3 .col:nth-child(3n), .columns-4 .col:nth-child(4n)').css('margin-right', '0px');

        jQuery(this).parents('.tabs-wrapper').find(activeTab).find('.portfolio-wrapper').isotope('reLayout');

        jQuery(this).parents('.tabs-wrapper').find(activeTab).find('.content-boxes-icon-boxed').each(function () {
            jQuery(this).find('.col').equalHeights();
        });

        jQuery(this).parents('.tabs-wrapper').find(activeTab).find('.shortcode-map').each(function () {
            jQuery("#" + this.id).goMap();
            marker = jQuery.goMap.markers[0];
            if (marker) {
                info = jQuery.goMap.getInfo(marker);
                jQuery.goMap.setInfo(marker, info);
            }
            var center = jQuery.goMap.getMap().getCenter();
            google.maps.event.trigger(jQuery.goMap.getMap(), 'resize');
            jQuery.goMap.getMap().setCenter(center);
        });

        generateCarousel();

        if (jQuery('.portfolio').length >= 1) {
            jQuery('.portfolio-wrapper').isotope('reLayout');
        }

        e.preventDefault();
    });

    jQuery("ul.tabs li a").click(function (e) {
        e.preventDefault();
    });
});

//
//
// 
// Responsive Images
//
//
//

var $addmenueffect = jQuery.noConflict();
$addmenueffect("#primary img").addClass("img-responsive");


//
//
// 
// Carousel Slider Arrows
//
//
//

var $jx = jQuery.noConflict();
$jx(document).ready(function () {
    $jx('div#slide_holder').hover(function () {
        $jx(this).find('.arrow span').stop(true, true).fadeIn(200).show(10);
    }, function () {
        $jx(this).find('.arrow span').stop(true, true).fadeOut(200).hide(10);
    });
});

//
//
// 
// Shortcodes
//
//
//   

(function ($) {
    $.fn.equalHeights = function (minHeight, maxHeight) {
        tallest = (minHeight) ? minHeight : 0;
        this.each(function () {
            $(this).css('height', 'auto');
            if ($(this).height() > tallest) {
                tallest = $(this).height();
            }
        });
        if ((maxHeight) && tallest > maxHeight)
            tallest = maxHeight;
        return this.each(function () {
            $(this).height(tallest).css("overflow", "auto");
        });
    }
})(jQuery);


